Package org.eclipse.m2m.atl.emftvm.ant

# Class InOutModel

java.lang.Object
org.eclipse.m2m.atl.emftvm.ant.ModelElement
org.eclipse.m2m.atl.emftvm.ant.InOutModel

public class InOutModel extends ModelElement
Nested Ant input/output model element.

## Constructor Summary

Constructors
Constructor
Description
`InOutModel()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUri()`
Returns the model URI.
`String`
`getWspath()`
Returns the output model workspace path.
`void`
`setUri(String uri)`
Sets the model URI.
`void`
`setWspath(String wspath)`
Sets the output model workspace path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.ModelElement

`getAs, getName, isAllowInterModelReferences, setAllowInterModelReferences, setAs, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InOutModel

public InOutModel()

## Method Details

### setWspath

public void setWspath(String wspath)
Sets the output model workspace path.

Parameters:
  `wspath` - the path to set

### getWspath

public String getWspath()
Returns the output model workspace path.

Returns:
  the path

### setUri

public void setUri(String uri)
Sets the model URI.

Parameters:
  `uri` - the uri to set

### getUri

public String getUri()
Returns the model URI.

Returns:
  the uri